## netcdf-ffc5 3.6.0-2

=== src/man/Makefile ===

# This makefile builds netcdf documentation from texinfo source. The
# four *.texi files are the texinfo files, the *.info, *.txt, etc. are
# all generated from the texi source.

# Users need not generate their own documentation, as the latest
# version is available at the netcdf website
# http://www.unidata.ucar.edu/packages/netcdf

# If you do choose to run this makefile, make sure your makeinfo is
# reasonably up to date. Perl is used to added css link to all html
# pages, but if it fails that's no big deal. htmltidy is also run on
# the html files.

# Below I just check for the info version of each file, and if it's
# out of date, I regenerate all documentation for that manual. I would
# love to fancify this more, but it's Sunday morning and the little
# darlings are about to wake up, so this is no time to get interested
# in make!

# There once was a programmer named Ed,
# who carried build infomation in his head,
# as he aged he forgot,
# and forgot quit a lot,
# so now he uses Makefiles instead!

# $Id: Makefile,v 1.21 2004/12/16 16:31:37 ed Exp $

PACKING_LIST	= Makefile  netcdf.m4 netcdf-install.texi \
		  netcdf.texi netcdf-c.texi netcdf-cxx.texi netcdf-f77.texi netcdf-f90.texi 
include ../macros.make

info_files = netcdf.info netcdf-f77.info netcdf-cxx.info netcdf-f90.info netcdf-c.info netcdf-install.info
txt_files = netcdf.txt netcdf-f77.txt netcdf-cxx.txt netcdf-f90.txt netcdf-c.txt netcdf-install.txt
html_files = netcdf.html netcdf-f77.html netcdf-cxx.html netcdf-f90.html netcdf-c.html netcdf-install.html
ps_files = netcdf.ps netcdf-f77.ps netcdf-cxx.ps netcdf-f90.ps netcdf-c.ps netcdf-install.ps
dvi_files = netcdf.dvi netcdf-f77.dvi netcdf-cxx.dvi netcdf-f90.dvi netcdf-c.dvi netcdf-install.dvi
pdf_files = netcdf.pdf netcdf-f77.pdf netcdf-cxx.pdf netcdf-f90.pdf netcdf-c.pdf netcdf-install.pdf

all: $(info_files) $(txt_files) $(html_files) $(ps_files) $(dvi_files) $(pdf_files) netcdf-man-3.html netcdf-man-3f.html ncgen-man-1.html ncdump-man-1.html INSTALL

%.info : %.texi
	makeinfo $<

%.pdf : %.texi
	texi2pdf -q --output=$*.pdf $<

%.dvi: %.texi 
	texi2dvi -c -q $<

%.ps: %.texi %.dvi
	dvips -q -o $*.ps $*.dvi

# I don't know why, but makeinfo swallows the "i" in @import. So I have two.
%.html : %.texi
	echo "@iimport url(http://my.unidata.ucar.edu/themes/Unidata/style/style.css);">tmp.css
	makeinfo --css-include=tmp.css --html $<
	makeinfo --no-split --css-include=tmp.css --html $<
	-cd $*; tidy -meq *.html

%.txt : %.texi
	makeinfo -o $*.txt --no-headers $<

# This isn't to install docs, it's to make the INSTALL doc.
INSTALL: netcdf-install.texi
	makeinfo -o INSTALL --no-headers netcdf-install.texi
	cp INSTALL ..

# The man pages are made in libsrc/Makefile and fortran/Makefile too,
# when the distribution is made. Next version (4.0) they will only be
# made here. For this version (3.6.0), make them here so I can easily
# put them in the web site tarball.
netcdf.3: netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=C $? >$@  || rm $@

netcdf-man-3.html: netcdf.3
	groff -man -Thtml $? > $@

ncgen-man-1.html: ../ncgen/ncgen.1
	groff -man -Thtml $? > $@

ncdump-man-1.html: ../ncdump/ncdump.1
	groff -man -Thtml $? > $@

netcdf.3f: netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=FORTRAN $? >$@ || rm $@

netcdf-man-3f.html: netcdf.3f
	groff -man -Thtml $? > $@

# This isn't made by all, but tars up everything needed for the website
web-tarball: all 
	tar cf netcdf_info.tar *.info*
	gzip -f netcdf_info.tar
	tar cf netcdf_pdf.tar *.pdf
	gzip -f netcdf_pdf.tar
	tar cf netcdf_html.tar netcdf netcdf-c netcdf-f77 netcdf-f90 netcdf-cxx netcdf-install
	gzip -f netcdf_html.tar
	tar cf netcdf_txt.tar *.txt
	gzip -f netcdf_txt.tar
	tar cf netcdf_man.tar netcdf.3 netcdf.3f -C ../ncdump ncdump.1 -C ../ncgen ncgen.1
	gzip -f netcdf_man.tar
	tar cf netcdf_docs.tar netcdf netcdf-c netcdf-f77 netcdf-f90 netcdf-cxx netcdf-install *.pdf *.txt *.html netcdf_info.tar.gz netcdf_pdf.tar.gz netcdf_html.tar.gz netcdf_txt.tar.gz netcdf_man.tar.gz
	gzip -f netcdf_docs.tar

clean_up:
	-rm *.info *.info *.ps *.txt *.html tmp.css *.dvi *.log *.pdf INSTALL netcdf.3 netcdf.3f
	-rm -rf netcdf netcdf-c netcdf-cxx netcdf-f77 netcdf-f90 netcdf-install

include ../rules.make

=== src/nc_test/Makefile ===
# Makefile for netCDF (semi)exhaustive test.
#
# $Id: Makefile,v 1.26 2004/12/15 23:29:31 ed Exp $

include ../macros.make
# M4FLAGS         = -s -B7168
# CC		= cc -fullwarn -woff 1209,1506

INCLUDES	= -I../libsrc

ld_math		= $(MATHLIB)

SRCS		=   nc_test.c \
		    error.c \
		    test_get.c \
		    test_put.c \
		    test_read.c \
		    test_write.c \
		    util.c

OBJS		= $(SRCS:.c=.o)

lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf

time_log	= times

GARBAGE		= nc_test test.nc scratch.nc lint.out $(time_log) large_files quick_large_files

PACKING_LIST	=  $(SRCS) \
		    test_get.m4 \
		    test_put.m4 \
		    error.h \
	            tests.h \
	            quick_large_files.c \
	            large_files.c \
		    depend	\
		    Makefile

MY_CFLAGS = -g -I../libsrc
MY_LDFLAGS = -L../libsrc
MY_LDLIBS = -lnetcdf

all:		nc_test

test:		nc_test test.nc
	./nc_test
	@echo '*** Success ***'

readonly:	nc_test test.nc
	./nc_test -r

test.nc:  nc_test
	./nc_test -c

install:

uninstall:


nc_test:		$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(ld_math) $(LIBS)

test_get.c:	test_get.m4

test_put.c:	test_put.m4

nctime:		nctime.o $(lib_netcdf)
	$(LINK.c) nctime.o $(ld_netcdf) $(ld_math) $(LIBS) 

time:	nctime
	time ./nctime 24 13 19 17 > $(time_log)
	awk -f timesum.awk < $(time_log)

saber_src:
	#load -C $(CPPFLAGS) $(SRCS) $(ld_netcdf) $(ld_math) $(LIBS)

sync_test:	nc_sync nc_sync_child
	PATH=$$PATH:. ./nc_sync

sync_programs:	nc_enddef nc_sync nc_sync_child

nc_enddef:	nc_enddef.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_enddef.o -L../libsrc -lnetcdf

nc_sync:	nc_sync.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync.o -L../libsrc -lnetcdf

nc_sync_child:	nc_sync_child.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync_child.o -L../libsrc -lnetcdf

quick_large_files: quick_large_files.c $(lib_netcdf)
	$(CC) $(CFLAGS) $(MY_CFLAGS) $(LDFLAGS) $(MY_LDFLAGS) $@.c -o $@ $(MY_LDLIBS)

large_files: large_files.c
	$(CC) $(CFLAGS) $(MY_CFLAGS) $(LDFLAGS) $(MY_LDFLAGS) $@.c -o $@ $(MY_LDLIBS)


extra_test : quick_large_files large_files
	./quick_large_files -f $(TEMP_LARGE)example.nc
	-ls -l $(TEMP_LARGE)example.nc 
	rm $(TEMP_LARGE)example.nc
	./large_files -f $(TEMP_LARGE)example.nc
	-ls -l $(TEMP_LARGE)example.nc
	rm $(TEMP_LARGE)example.nc


include ../rules.make
include depend

=== debian/changelog ===
netcdf-ffc5 (3.6.0-2) unstable; urgency=low

  * Rename source package name. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 10 May 2005 16:46:51 +0900

netcdf-ffc5 (3.6.0-1) unstable; urgency=low

  * New upstream release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 21 Dec 2004 18:54:11 +0900

netcdf-ffc5 (3.5.1-1sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:46:53 +0900

netcdf-ffc5 (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 16 Mar 2004 18:10:05 +0900

netcdf-ffc5 (3.5.0-6) unstable; urgency=low

  * for Intel Fortran Compiler ver.8 (8.0.039) binary support 

 -- ODAKA Masatsugu <odakker@nishin>  Tue, 16 Mar 2004 18:00:38 +0900

netcdf-ffc5 (3.5.0-5) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 22:36:45 +0900
	
  * Fujitsu Fortran Compiler ver.4 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:52:19 +0900	
  * Intel Fortran Compiler ver.7 support.
  * New package for Fujitsu Fortran Compiler ver.3 added. 

 -- TAKEHIRO Shin-ichi <takepiro@potato>  Tue,  7 Jan 2003 18:37:37 +0900

netcdf-ffc5 (3.5.0-4) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 
  * Document directory changed. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sun,  5 May 2002 16:31:14 +0900

netcdf-ffc5 (3.5.0-3) unstable; urgency=low

  * Intel Fortran version included.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 15:22:21 +0900

netcdf-ffc5 (3.5.0-2) unstable; urgency=low

  * Make only static c and fortran library.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sat, 10 Nov 2001 00:17:46 +0900

netcdf-ffc5 (3.5.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 19:08:22 +0900

Local variables:
mode: debian-changelog
End:

## netcdf-ffc5 3.6.1-1

=== debian/changelog ===
netcdf-ffc5 (3.6.1-1) unstable; urgency=low

  * New Upstream release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri,  5 Jan 2007 20:21:38 +0900

=== debian/control ===
Source: netcdf-ffc5
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.1.1

Package: netcdf-ffc5
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ffc (>=5.0) | ffcpara (>=5.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Fujitsu Fortran&C compiler ver.5. 
 Alternative developer's package of NetCDF. 
 This package provides NetCDF static libraries
 for Fujitsu Fortran&C compiler.
